/** @file
 * $Source: /home/cvsmanager/yoda/event/physics/S4/S4Event.cpp,v $
 * $Id: S4Event.cpp,v 4.0 2005/03/06 04:33:01 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the S4 physics event class
 */

#include "S4Event.h"

using namespace pamela;
using namespace pamela::S4;

S4Event::S4Event(void): 
  SubPacket("Event", PacketType::Physics, SubDetector::S4),
    S4_REG_STATUS(0),
    S4_DATA(0),
    S4_CMD_NUM(0),
    S4_RESP_LENGHT(0),
    S4_OVERALL_CHKCODE(0){
}

S4Event::~S4Event(void) {

}

ClassImp(S4Event)
